<?php

function sendinblue_add_autoload($namespace, $dir){
	static $known_namespaces = null;
	if (is_null($known_namespaces)){
		$known_namespaces = [];
		spl_autoload_register(function ($class) use (&$known_namespaces){
			foreach ($known_namespaces as $namespace => $dir){
				if (0!==strpos($class, $namespace)){
					// Not a known class
					continue;
				}

				$subClass = substr($class, strlen($namespace));
				$path = $dir . str_replace('\\', '/', $subClass) . '.php';
				if (file_exists($path)){
					require $path;
					break;
				}
			}
		});
	}

	$namespace = rtrim($namespace, '\\') . '\\';
	$dir = rtrim($dir, '/') . '/';
	$known_namespaces[$namespace] = $dir;
	if (file_exists($functions_file = $dir . 'functions_include.php')) {
		include_once $functions_file;
	}
}

include_once __DIR__ . '/vendor/ralouphie/getallheaders/src/getallheaders.php';

if (!class_exists('Psr\Http\Message\UriInterface')){
	sendinblue_add_autoload('Psr\Http\Message', __DIR__ . '/vendor/psr/http-message/src/');
}
if (!class_exists('GuzzleHttp\Psr7\Uri')){
	sendinblue_add_autoload('GuzzleHttp\Psr7', __DIR__ . '/vendor/guzzlehttp/psr7/src/');
}
if (!class_exists('GuzzleHttp\Promise\PromiseInterface')){
	sendinblue_add_autoload('GuzzleHttp\Promise', __DIR__ . '/vendor/guzzlehttp/promises/src/');
}
if (!class_exists('GuzzleHttp\ClientInterface')){
	sendinblue_add_autoload('GuzzleHttp', __DIR__ . '/vendor/guzzlehttp/guzzle/src/');
}

if (!class_exists('SendinBlue\Client\Configuration')){
	sendinblue_add_autoload('SendinBlue\Client', __DIR__ . '/lib/');
}